Package org.springframework.security.core.session

# Class AbstractSessionEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.core.session.AbstractSessionEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SessionCreationEvent`, `SessionDestroyedEvent`, `SessionIdChangedEvent`

public class AbstractSessionEvent extends org.springframework.context.ApplicationEvent
Abstract superclass for all session related events.

Since:
  5.4
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSessionEvent(Object source)`

## Method Summary

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractSessionEvent

public AbstractSessionEvent(Object source)